MPI_File_iread_at(3)

NAME
MPI_File_iread_at - Nonblocking read using explict offset

SYNOPSIS
#ifdef HAVE_MPI_GREQUEST
#include "mpiu_greq.h"
#endif
int MPI_File_iread_at(MPI_File mpi_fh, MPI_Offset offset, void *buf,
                      int count, MPI_Datatype datatype,
                      MPIO_Request *request)

INPUT PARAMETERS
fh  - file handle (handle)
offset
    - file offset (nonnegative integer)
count
    - number of elements in buffer (nonnegative integer)
datatype
    - datatype of each buffer element (handle)

OUTPUT PARAMETERS
buf - initial address of buffer (choice)
request
    - request object (handle)

LOCATION
iread_at.c